export declare type Conversion<U extends string> = [U, U, number];
export declare type ConversionMatrix<U extends string> = {
    [S in U]: {
        [D in U]: number;
    };
};
export interface GridMatrix<U extends string> {
    indices: U[];
    grid: number[][];
}
export interface Convertor {
    (value: number): number;
}
export default class Units<U extends string> {
    private units;
    private matrix;
    constructor(units: U[], conversions?: (Conversion<U>)[]);
    private addConversion([source, destination, ratio]);
    private calculateCoefficient(source, destination);
    getRatio(source: U, destination: U): number;
    convert(source: U, destination: U, value: number): number;
    createConverter(source: U, destination: U): Convertor | undefined;
    getMatrix(type: 'nested'): ConversionMatrix<U>;
    getMatrix(type: 'grid'): GridMatrix<U>;
    getMatrix(type: 'array'): Conversion<U>[];
}
